<?php

class clsObjetodeDatos{
var $pTipoBD;
var $pAccion;
var $pPost;

	function clsObjetodeDatos($tipobd,$var_post,$var_gest) {
		extract ($var_post); ///EXTRAE VARIABLES DE POST A VARIABLES SIMPLES CON EL MISMO NOMBRE
		extract($var_gest);
		$this->pTipoBD=$tipobd;
		$this->pPost =$var_post;
	}
	
	function GetObjetoDatos($GetSelect){
		$this->pTipoBD->EjecutarQuery($GetSelect);
		return $this->pTipoBD;
	}

	function GetSelectPeriodo(){
		$sql="SELECT  periodos.id_periodo as codigo, concat(periodos.codigo,'-',periodos.tipo) as descripcion FROM periodos where status='ABIERTO' ORDER BY periodos.id_periodo desc";		
		return $sql;
	}
	function GetSelectCarrera(){
	  $sql="SELECT id_carrera as codigo,CONCAT(nombre_carrera,'-',id_carrera)as descripcion FROM carreras ORDER BY nombre_carrera";		
		return $sql;
	}
	function GetSelectPensum(){
	  $sql="SELECT `nro_pensum` as codigo, nro_pensum as descripcion FROM `pensum` ORDER BY nro_pensum";		
		return $sql;
	}
	function GetSelectNiveles(){
	  $sql="SELECT `cod_niveles`as codigo,desc_niveles as descripcion FROM `niveles`";		
		return $sql;
	}
	function GetSelectTipoBeca(){
	  $sql="SELECT `cod_becado` as codigo,`descripcion` as descripcion FROM `tipo_beca`";		
		return $sql;
	}
	function GetSelectDocente(){
	  $sql="SELECT `id_docente`,CONCAT(`nombres`,' ',`apellidos`) as nombres FROM `docentes` order by nombres";		
		return $sql;
	}
	function GetSelectAulaHorarios($codigodia,$codigohora,$codigoperiodo,$codigoturno,$codigosede){
		
		$sql="SELECT `codigo_aula`,`desc_aula` FROM `aulas` where `codigo_aula` 
			  not in (SELECT codigo_aula FROM `horarios` 
			  where `codigo_dia`=".$codigodia." and `codigo_hora`=".$codigohora." and 
			  `id_periodo` =".$codigoperiodo." and codigo_sede='".$codigosede."' and codigo_turno =".$codigoturno.") order by codigo_aula";
          //$sql="SELECT `codigo_aula`,`desc_aula` FROM `aulas` order by desc_aula";	
	//echo $sql;
		return $sql;
	}
	function GetSelectSemetres(){
	  $sql="SELECT `cod_semestre`,`desc_semestre` FROM `semestre`";		
		return $sql;

	}
	function GetSelectMaterias(){
	  $sql="SELECT `id_materia`as codigo,`nombre_materia` as descripcion FROM `materias` order by nombre_materia asc";		
		return $sql;

	}
	
	function GetSelectDias(){
	  $sql="SELECT `codigo_dia`,`desc_dia` FROM `dias` WHERE `estatus_dia` ='V'";		
		return $sql;

	}
	function GetSelectTurnos(){
	  $sql="	SELECT `codigo`,`turno` as descripcion FROM `turnos`";		
		return $sql; 
	}
	function GetSelectHoras(){
	  $sql="SELECT `codigo_hora`,CONCAT(`hora_ini`,'-',`hora_fin`) as hora   FROM `horas` WHERE `estatus_hora` ='V'";		
		return $sql; 

	}
	function GetSelectModalidad(){
	  $sql="SELECT codigo,modalidad as descripcion  FROM modalidad_ingreso ";		
		return $sql; 

	}
	
	function GetSelectSeccion(){
	  $sql="SELECT `codigo_seccion` as codigo,concat(`seccion`,'-',`nivel`) as descripcion FROM 
			secciones inner join `periodos` on periodos.id_periodo= secciones.periodo
			where status='ABIERTO' order by seccion";		
		return $sql; 

	}
	
	function GetSelectSede(){
		#MODICACION DEL CAMBIO 23/02/2023, ESTE CAMBIO VALIDA EL ARCHIVO *VISTA_CARGAR_NUEVOS_INGRESOS.PHP
		#$cedula_usuario=$_SESSION['CEDULA_USUARIO'];
		#$sede_usuario=$_SESSION['SEDE_USUARIO'];
		#if($sede_usuario=='14'){	
			$sql = "SELECT codigo ,nombre_sede as descripcion FROM sedes ORDER BY nombre_sede";
		#}else{
			#$sql = "SELECT codigo,nombre_sede as descripcion FROM sedes where codigo='$sede_usuario' ORDER BY nombre_sede";
		#}
		return $sql;
	}	
	function GetSelectSede1(){
		$sql = "SELECT codigo ,nombre_sede as descripcion FROM sedes ORDER BY nombre_sede";
		return $sql;
	}
	function GetSelectMateriasPorSeccion($seccion){
	  $sql="SELECT `id_materia`,`nombre_materia` FROM `materias` order by nombre_materia asc";		
		return $sql;

	}
	function GetSelectMateriasPorSemestre($semestre,$seccion){
	  $sql="SELECT materias.`id_materia` as codigo,`nombre_materia` as descripcion FROM `materias` inner join oferta_academica on materias.id_materia = oferta_academica.id_materia where oferta_academica.semestre = ".$semestre." and codigo_seccion = ".$seccion." order by nombre_materia asc";	
    // echo $sql;
	  return $sql;

	}
}
?>

